#! /bin/bash


#first we are going to have to change xml to txt first (because the way we split val and test require this)
#Let's just copy and paste into the exact same area but new folder that is _test_y_txt

test_y_input_start="/Users/victoriasabo/Documents/WPTO/Data"
list_fish_sources_tests=('orpc' 'wells' 'voith')
test_y_input_end="_test_y"


for f_source in "${list_fish_sources_tests[@]}"
do
    
    in_dir_full=$test_y_input_start"/"$f_source$test_y_input_end
    echo "$in_dir_full"
    out_dir_full=$test_y_input_start"/"$f_source"_test_y_txt"
    #these will then take the xmls in _test_y folder, convert to txts in the _test_y_txt folder, and delete _test_y folder
    python3 scripts/data_processing_scripts/WPTO_convert_py_article.py $in_dir_full $out_dir_full
done

#now, we need to split the test files into 10% val and remainder test,
# making sure not to split at an area where there exists a fish to be tracked

ratio_per_val=0.1
in_files_base="/Users/victoriasabo/Documents/WPTO/Data"
in_image_folder_extention="_test_x"
in_label_folder_extension="_test_y_txt"
out_image_folder_name="images"
out_label_folder_name="labels"
out_files_base="/Users/victoriasabo/Documents/eyesea-yolo/scripts/data/val_and_test_files_dup_rmv" #customize


for fish_source in "${list_fish_sources_tests[@]}"
do
    in_image_folder_name=$fish_source$in_image_folder_extention
    in_label_folder_name=$fish_source$in_label_folder_extension
    python3 scripts/data_processing_scripts/split_test_val_rmv_dups.py $in_files_base $in_image_folder_name $in_label_folder_name $out_image_folder_name $out_label_folder_name $out_files_base $fish_source $ratio_per_val
done

#this will create 3 folders in a larger val_and_test_files folder
#each with test and val sub-folders, each of those which have 'images' and 'labels' folders

